CC = bfin-elf-gcc
LD = bfin-elf-ld
CCOPT = -g -c
LDOPT = -nostdlib


OBJBF533 = cpu_mmr.o chip_mmr_bf533.o 
OBJBF537 = cpu_mmr.o chip_mmr_bf537.o 
OBJBF518 = cpu_mmr.o chip_mmr_bf518.o 
OBJBF592 = cpu_mmr.o chip_mmr_bf592.o 
 
all:mmr_bf533.out mmr_bf518.out mmr_bf537.out mmr_bf592.out 

clean:
	rm *.o
	rm *.out

mmr_bf533.out : $(OBJBF533)
	$(LD) $(OBJBF533) -$(LDOPT) -T bf532elf.ld -o mmr_bf533.out

mmr_bf537.out : $(OBJBF537)
	$(LD) $(OBJBF537) -$(LDOPT) -T bf537elf.ld -o mmr_bf537.out

mmr_bf518.out : $(OBJBF518)
	$(LD) $(OBJBF518) -$(LDOPT) -T bf518elf.ld -o mmr_bf518.out

mmr_bf592.out : $(OBJBF592)
	$(LD) $(OBJBF592) -$(LDOPT) -T bf592elf.ld -o mmr_bf592.out


.c.o:
	$(CC) $(CCOPT) $<

